Index: code/branches/presentation3/data/levels/teambasematchlevel.oxw
===================================================================
--- code/branches/presentation3/data/levels/teambasematchlevel.oxw	(revision 6926)
+++ code/branches/presentation3/data/levels/teambasematchlevel.oxw	(revision 7007)
@@ -13,4 +13,5 @@
  gametype     = TeamBaseMatch
 >
+
   <templates>
     <Template link=lodtemplate_default />
@@ -45,13 +46,17 @@
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "-100,0,0"/>
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
-<?lua
-for i = 1, 10, 1
-do ?>
-        <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
-          <events><spawn><EventListener event="base 1" /></spawn></events>
-        </ParticleSpawner>
-<?lua
-end
-?>
+
+        <?lua
+          for i = 1, 10, 1 do
+        ?>
+          <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
+            <events>
+              <spawn>
+                <EventListener event="base 1" />
+              </spawn>
+            </events>
+          </ParticleSpawner>
+        <?lua end ?>
+        
       </attached>
       <collisionShapes>
@@ -82,13 +87,17 @@
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "-100,0,0"/>
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
-<?lua
-for i = 1, 10, 1
-do ?>
-        <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
-          <events><spawn><EventListener event="base 2" /></spawn></events>
-        </ParticleSpawner>
-<?lua
-end
-?>
+
+        <?lua
+          for i = 1, 10, 1 do
+        ?>
+          <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
+            <events>
+              <spawn>
+                <EventListener event="base 2" />
+              </spawn>
+            </events>
+          </ParticleSpawner>
+        <?lua end ?>
+        
       </attached>
       <collisionShapes>
@@ -119,13 +128,17 @@
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "-100,0,0"/>
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
-<?lua
-for i = 1, 10, 1
-do ?>
-        <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
-          <events><spawn><EventListener event="base 3" /></spawn></events>
-        </ParticleSpawner>
-<?lua
-end
-?>
+
+        <?lua
+          for i = 1, 10, 1 do
+        ?>
+          <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
+            <events>
+              <spawn>
+                <EventListener event="base 3" />
+              </spawn>
+            </events>
+          </ParticleSpawner>
+        <?lua end ?>
+
       </attached>
       <collisionShapes>
@@ -155,13 +168,17 @@
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "-100,0,0"/>
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
-<?lua
-for i = 1, 10, 1
-do ?>
-        <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
-          <events><spawn><EventListener event="base 4" /></spawn></events>
-        </ParticleSpawner>
-<?lua
-end
-?>
+
+        <?lua
+          for i = 1, 10, 1 do
+        ?>
+          <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
+            <events>
+              <spawn>
+                <EventListener event="base 4" />
+              </spawn>
+            </events>
+          </ParticleSpawner>
+        <?lua end ?>
+
       </attached>
       <collisionShapes>
@@ -192,22 +209,24 @@
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "-100,0,0"/>
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
-<?lua
-for i = 1, 10, 1
-do ?>
-        <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
-          <events><spawn><EventListener event="base 5" /></spawn></events>
-        </ParticleSpawner>
-<?lua
-end
-?>
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="80"            position = "-100,0,0" />
-        <SphereCollisionShape radius="120"           position = "100,0,0" />
-        <BoxCollisionShape    halfExtents="90,25,45" position = "-155,0,40" />
-      </collisionShapes>
-    </TeamBaseMatchBase>
-
-
+
+        <?lua
+          for i = 1, 10, 1 do
+        ?>
+          <ParticleSpawner position="<?lua print(math.random() * 400 - 200) ?>,<?lua print(math.random() * 200 - 100) ?>,<?lua print(math.random() * 200 - 100) ?>" startdelay=<?lua print(math.random()) ?> source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
+            <events>
+              <spawn>
+                <EventListener event="base 5" />
+              </spawn>
+            </events>
+          </ParticleSpawner>
+        <?lua end ?>
+
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="80"            position = "-100,0,0" />
+        <SphereCollisionShape radius="120"           position = "100,0,0" />
+        <BoxCollisionShape    halfExtents="90,25,45" position = "-155,0,40" />
+      </collisionShapes>
+    </TeamBaseMatchBase>
 
     <!--Model position="0,0,0" scale=8 mesh="ast1.mesh" />
@@ -217,4 +236,5 @@
       </collisionShapes>
     </StaticEntity-->
+
   </Scene>
 </Level>
